Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::AtomInfo Class Reference

The AtomInfo class provides information about atoms. More...

`#include <atominfo.h>`

Inheritance diagram for sc::AtomInfo:

[legend]
Collaboration diagram for sc::AtomInfo:

[legend]
List of all members.

## Public Methods
| AtomInfo ()
| AtomInfo (const Ref< KeyVal > &)
| AtomInfo (StateIn &)
| ~AtomInfo ()
void | save_data_state (StateOut &s)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
double | vdw_radius (int Z) const
| These return various measures of the atom's radius.
double | bragg_radius (int Z) const
double | atomic_radius (int Z) const
double | maxprob_radius (int Z) const
double | ip (int Z) const
| Returns the atomization potential for atomic number Z.
double | vdw_radius_scale () const
| Return the scale factor for the VdW radii.
double | bragg_radius_scale () const
| Return the scale factor for the Bragg radii.
double | atomic_radius_scale () const
| Return the scale factor for the atomic radii.
double | maxprob_radius_scale () const
| Return the scale factor for the maximum probability radii.
double | rgb (int Z, int color) const
| These return information about the color of the atom for visualization programs.
double | red (int Z) const
double | green (int Z) const
double | blue (int Z) const
double | mass (int Z) const
| This returns the mass of the most abundant isotope.
## Static Public Methods
const char * | name (int Z)
| This returns the full name of the element.
const char * | symbol (int Z)
| This returns the symbol for the element.
int | string_to_Z (const char *, int allow_exceptions=1)
| This converts a name or symbol to the atomic number.

## Detailed Description

The AtomInfo class provides information about atoms.

The information is kept in a file named atominfo.kv in the SC library directory. That information can be overridden by the user.

## Member Function Documentation

void sc::AtomInfo::save_data_state | ( | StateOut & | s | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::SavableState.

The documentation for this class was generated from the following file:

- atominfo.h